using System;

internal sealed class Delegate490 : MulticastDelegate
{
	public extern string[] Invoke(object object_0, string[] string_0, StringSplitOptions stringSplitOptions_0);

	public static string[] smethod_0(object object_0, string[] string_0, StringSplitOptions stringSplitOptions_0, Delegate490 delegate490_1)
	{
		return delegate490_1(object_0, string_0, stringSplitOptions_0);
	}

	public extern Delegate490(object object_0, IntPtr intptr_0);

	static Delegate490()
	{
		Class10.smethod_13(typeof(Delegate490).TypeHandle);
	}

	internal static Delegate490 delegate490_0;
}
